Git-Url:
http://git.frugalware.org/gitweb/gitweb.cgi?p=pacman-g2.git;a=commitdiff;h=7034ead4246f8f0613d5b681952f1f65b3c4c398
commit 7034ead4246f8f0613d5b681952f1f65b3c4c398
Author: Miklos Vajna <[EMAIL PROTECTED]>
Date: Tue Feb 26 18:38:46 2008 +0100
makepkg: resurrect ccache
- thanks crazy for figuring out was was the problem
diff --git a/scripts/makepkg b/scripts/makepkg
index 2fd8c54..dd0c106 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -1053,6 +1053,15 @@ if [ "$CHROOT" = "1" -a "$INCHROOT" != "1" ]; then
msg "Entering chroot environment"
BUILDLOG=${startdir}/${pkgname}-${pkgver}-${pkgrel}-${CARCH}.log
if [ ! "`check_option NOFAKEROOT`" ]; then
+ # add the fst user in case the host system is not a
Frugalware one
+ if ! getent passwd fst >/dev/null; then
+ echo "fst:x:19:2::/var/tmp/fst:" >>
$CHROOTDIR/etc/passwd
+ fi
+ # add fst to the ccache group if necessary
+ if ! getent group ccache|grep -q fst; then
+ /usr/sbin/chroot $CHROOTDIR \
+ /usr/sbin/usermod -a -G ccache fst
+ fi
/usr/sbin/chroot $CHROOTDIR \
/bin/su - fst -c "$0 --inchroot -S $ARGLIST"
else
_______________________________________________
Frugalware-git mailing list
[email protected]
http://frugalware.org/mailman/listinfo/frugalware-git